diff --git a/src/main/java/net/minecraft/core/item/FireStrikerItem.java b/src/main/java/net/minecraft/core/item/ItemFireStriker.java
similarity index 73%
rename from src/main/java/net/minecraft/core/item/FireStrikerItem.java
rename to src/main/java/net/minecraft/core/item/ItemFireStriker.java
index 9e18c7434..c43e40560 100644
--- a/src/main/java/net/minecraft/core/item/FireStrikerItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemFireStriker.java
@@ -1,15 +1,14 @@
 package net.minecraft.core.item;
 
 // Referenced classes of package net.minecraft.src:
-//            Item, World, Block, FireBlock,
+//            Item, World, Block, BlockFire,
 //            ItemStack, Player
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.BrazierBlock;
-import net.minecraft.core.block.FluidBlock;
-import net.minecraft.core.block.TNTBlock;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.tag.BlockTags;
+import net.minecraft.core.block.BlockBrazier;
+import net.minecraft.core.block.BlockFluid;
+import net.minecraft.core.block.BlockTNT;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.item.material.ToolMaterial;
 import net.minecraft.core.sound.SoundCategory;
@@ -20,10 +19,10 @@ import net.minecraft.core.world.World;
 
 import java.util.Random;
 
-public class FireStrikerItem extends Item
+public class ItemFireStriker extends Item
 {
 
-    public FireStrikerItem(String name, String namespaceId, int id)
+    public ItemFireStriker(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         maxStackSize = 1;
@@ -50,24 +49,24 @@ public class FireStrikerItem extends Item
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         if (!onUseItemOnBlock(itemStack, null, world, blockX, blockY, blockZ, direction.getSide(), 0.5, 0.5)) {
             blockX += direction.getOffsetX();
             blockY += direction.getOffsetY();
             blockZ += direction.getOffsetZ();
             Block b = world.getBlock(blockX, blockY, blockZ);
-            if (b instanceof BrazierBlock && !((BrazierBlock)b).isBurning()) {
-                if (world.getBlock(blockX + 1,  blockY, blockZ) instanceof FluidBlock ||
-                    world.getBlock(blockX - 1,  blockY, blockZ) instanceof FluidBlock ||
-                    world.getBlock(blockX,      blockY, blockZ + 1) instanceof FluidBlock ||
-                    world.getBlock(blockX,      blockY, blockZ - 1) instanceof FluidBlock) {
+            if (b instanceof BlockBrazier && !((BlockBrazier)b).isBurning()) {
+                if (world.getBlock(blockX + 1,  blockY, blockZ) instanceof BlockFluid ||
+                    world.getBlock(blockX - 1,  blockY, blockZ) instanceof BlockFluid ||
+                    world.getBlock(blockX,      blockY, blockZ + 1) instanceof BlockFluid ||
+                    world.getBlock(blockX,      blockY, blockZ - 1) instanceof BlockFluid) {
                     return;
                 }
                 world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, Blocks.BRAZIER_ACTIVE.id, 0);
                 itemStack.damageItem(1, null);
                 world.playSoundEffect(null, SoundCategory.WORLD_SOUNDS, (double) blockX + 0.5D, (double) blockY + 0.5D, (double) blockZ + 0.5D, "fire.ignite", 1.0F, world.rand.nextFloat() * 0.4F + 0.8F);
-            } else if (b instanceof TNTBlock) {
-                ((TNTBlock)b).ignite(world, blockX, blockY, blockZ, true);
+            } else if (b instanceof BlockTNT) {
+                ((BlockTNT)b).ignite(world, blockX, blockY, blockZ, true);
             }
         }
     }
diff --git a/src/main/java/net/minecraft/core/item/FishingRodItem.java b/src/main/java/net/minecraft/core/item/ItemFishingRod.java
similarity index 81%
rename from src/main/java/net/minecraft/core/item/FishingRodItem.java
rename to src/main/java/net/minecraft/core/item/ItemFishingRod.java
index da9b28e1f..d03d623b6 100644
--- a/src/main/java/net/minecraft/core/item/FishingRodItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemFishingRod.java
@@ -4,14 +4,14 @@ package net.minecraft.core.item;
 //            Item, Player, EntityFish, ItemStack,
 //            World
 
-import net.minecraft.core.entity.FishingBobberEntity;
+import net.minecraft.core.entity.EntityFishingBobber;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class FishingRodItem extends Item
+public class ItemFishingRod extends Item
 {
 
-    public FishingRodItem(String name, String namespaceId, int id)
+    public ItemFishingRod(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxDamage(196);
@@ -30,7 +30,7 @@ public class FishingRodItem extends Item
             world.playSoundAtEntity(entityplayer, entityplayer, "random.bow", 0.5F, 0.4F / (itemRand.nextFloat() * 0.4F + 0.8F));
             if(!world.isClientSide)
             {
-                world.entityJoinedWorld(new FishingBobberEntity(world, entityplayer));
+                world.entityJoinedWorld(new EntityFishingBobber(world, entityplayer));
             }
         }
         entityplayer.swingItem();
diff --git a/src/main/java/net/minecraft/core/item/FlagItem.java b/src/main/java/net/minecraft/core/item/ItemFlag.java
similarity index 86%
rename from src/main/java/net/minecraft/core/item/FlagItem.java
rename to src/main/java/net/minecraft/core/item/ItemFlag.java
index 07d1586d6..50ee6e1bb 100644
--- a/src/main/java/net/minecraft/core/item/FlagItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemFlag.java
@@ -4,7 +4,7 @@ import com.mojang.nbt.CompoundTag;
 import com.mojang.nbt.ListTag;
 
 import net.minecraft.core.block.Blocks;
-import net.minecraft.core.block.entity.FlagBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.enums.EnumBlockSoundEffectType;
 import net.minecraft.core.lang.I18n;
@@ -12,9 +12,9 @@ import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.util.helper.UUIDHelper;
 import net.minecraft.core.world.World;
 
-public class FlagItem extends Item
+public class ItemFlag extends Item
 {
-    public FlagItem(String name, String namespaceId, int id)
+    public ItemFlag(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxStackSize(1);
@@ -33,7 +33,7 @@ public class FlagItem extends Item
     {
         // copy flag data to empty flag
 		if (world.getBlockId(blockX, blockY, blockZ) == Blocks.FLAG.id && !entityplayer.isSneaking()) {
-			FlagBlockEntity flag = (FlagBlockEntity) world.getBlockEntity(blockX, blockY, blockZ);
+			TileEntityFlag flag = (TileEntityFlag) world.getBlockEntity(blockX, blockY, blockZ);
 			if (flag != null) {
 				CompoundTag flagData = stack.getData().getCompoundOrDefault("FlagData", new CompoundTag());
 				if (hasFlagBeenDrawnOn(stack) && doesFlagContainDyes(stack)) {
@@ -74,18 +74,18 @@ public class FlagItem extends Item
         world.setBlockAndMetadataWithNotify(blockX, blockY, blockZ, Blocks.FLAG.id, 0);
         
         stack.consumeItem(entityplayer);
-        FlagBlockEntity flagBlockEntity = (FlagBlockEntity) world.getBlockEntity(blockX, blockY, blockZ);
-        if(flagBlockEntity != null)
+        TileEntityFlag tileEntityFlag = (TileEntityFlag) world.getBlockEntity(blockX, blockY, blockZ);
+        if(tileEntityFlag != null)
         {
             CompoundTag flagData = stack.getData().getCompoundOrDefault("FlagData", null);
             if (flagData != null)
             {
-                flagBlockEntity.readFlagNBT(flagData);
+                tileEntityFlag.readFlagNBT(flagData);
             }
 
-            if (!world.isClientSide && flagBlockEntity.owner == null)
+            if (!world.isClientSide && tileEntityFlag.owner == null)
             {
-                entityplayer.displayFlagEditorScreen(flagBlockEntity);
+                entityplayer.displayFlagEditorScreen(tileEntityFlag);
             }
         }
         return true;
diff --git a/src/main/java/net/minecraft/core/item/FoodItem.java b/src/main/java/net/minecraft/core/item/ItemFood.java
similarity index 93%
rename from src/main/java/net/minecraft/core/item/FoodItem.java
rename to src/main/java/net/minecraft/core/item/ItemFood.java
index b0ab4fe5c..7c655c4d7 100644
--- a/src/main/java/net/minecraft/core/item/FoodItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemFood.java
@@ -3,13 +3,13 @@ package net.minecraft.core.item;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class FoodItem extends Item
+public class ItemFood extends Item
 {
     private final int healAmount;
     private final boolean isWolfsFavoriteMeat;
     private final int ticksPerHeal;
 
-    public FoodItem(String name, String namespaceId, int id, int healAmount, int ticksPerHeal, boolean favouriteWolfMeat, int maxStackSize)
+    public ItemFood(String name, String namespaceId, int id, int healAmount, int ticksPerHeal, boolean favouriteWolfMeat, int maxStackSize)
     {
         super(name, namespaceId, id);
         this.healAmount = healAmount;
diff --git a/src/main/java/net/minecraft/core/item/LoadedHandCannonItem.java b/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
similarity index 75%
rename from src/main/java/net/minecraft/core/item/LoadedHandCannonItem.java
rename to src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
index 8a636b15c..d9b13c8ea 100644
--- a/src/main/java/net/minecraft/core/item/LoadedHandCannonItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemHandCannonLoaded.java
@@ -2,16 +2,16 @@ package net.minecraft.core.item;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, InventoryPlayer, World,
-//            ArrowProjectile, ItemStack
+//            ProjectileArrow, ItemStack
 
 import net.minecraft.core.entity.player.Player;
-import net.minecraft.core.entity.projectile.CannonballProjectile;
+import net.minecraft.core.entity.projectile.ProjectileCannonball;
 import net.minecraft.core.world.World;
 
-public class LoadedHandCannonItem extends Item
+public class ItemHandCannonLoaded extends Item
 {
 
-    public LoadedHandCannonItem(String name, String namespaceId, int id)
+    public ItemHandCannonLoaded(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxDamage(100);
@@ -26,7 +26,7 @@ public class LoadedHandCannonItem extends Item
 		if(!world.isClientSide)
 		{
 			itemstack.damageItem(1, entityplayer);
-			world.entityJoinedWorld(new CannonballProjectile(world, entityplayer));
+			world.entityJoinedWorld(new ProjectileCannonball(world, entityplayer));
 			if(itemstack.stackSize <= 0) {
 				return null;
 			}
diff --git a/src/main/java/net/minecraft/core/item/UnloadedHandCannonItem.java b/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/UnloadedHandCannonItem.java
rename to src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
index 82c8d0a37..278d25003 100644
--- a/src/main/java/net/minecraft/core/item/UnloadedHandCannonItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemHandCannonUnloaded.java
@@ -2,15 +2,15 @@ package net.minecraft.core.item;
 
 // Referenced classes of package net.minecraft.src:
 //            Item, Player, InventoryPlayer, World,
-//            ArrowProjectile, ItemStack
+//            ProjectileArrow, ItemStack
 
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.world.World;
 
-public class UnloadedHandCannonItem extends Item
+public class ItemHandCannonUnloaded extends Item
 {
 
-    public UnloadedHandCannonItem(String name, String namespaceId, int id)
+    public ItemHandCannonUnloaded(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
         setMaxDamage(100);
diff --git a/src/main/java/net/minecraft/core/item/IceSkatesItem.java b/src/main/java/net/minecraft/core/item/ItemIceSkates.java
similarity index 76%
rename from src/main/java/net/minecraft/core/item/IceSkatesItem.java
rename to src/main/java/net/minecraft/core/item/ItemIceSkates.java
index 88781f334..7ceaf568b 100644
--- a/src/main/java/net/minecraft/core/item/IceSkatesItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemIceSkates.java
@@ -3,8 +3,8 @@ package net.minecraft.core.item;
 import net.minecraft.core.item.material.ArmorMaterial;
 import org.jetbrains.annotations.Nullable;
 
-public class IceSkatesItem extends Item implements IArmorItem{
-    public IceSkatesItem(String translationKey, String namespaceId, int id) {
+public class ItemIceSkates extends Item implements IArmorItem{
+    public ItemIceSkates(String translationKey, String namespaceId, int id) {
         super(translationKey, namespaceId, id);
         setMaxStackSize(1);
     }
diff --git a/src/main/java/net/minecraft/core/item/JarItem.java b/src/main/java/net/minecraft/core/item/ItemJar.java
similarity index 84%
rename from src/main/java/net/minecraft/core/item/JarItem.java
rename to src/main/java/net/minecraft/core/item/ItemJar.java
index 9d56fd748..34aa4b715 100644
--- a/src/main/java/net/minecraft/core/item/JarItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemJar.java
@@ -2,7 +2,7 @@ package net.minecraft.core.item;
 
 import net.minecraft.core.block.Blocks;
 import net.minecraft.core.entity.Entity;
-import net.minecraft.core.entity.animal.FireflyClusterMob;
+import net.minecraft.core.entity.animal.MobFireflyCluster;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Side;
 import net.minecraft.core.world.World;
@@ -11,11 +11,11 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.List;
 
-public class JarItem extends PlaceableItem {
+public class ItemJar extends ItemPlaceable {
 
 
 
-    protected JarItem(String name, String namespaceId, int id) {
+    protected ItemJar(String name, String namespaceId, int id) {
         super(name, namespaceId, id, Blocks.JAR_GLASS);
         setMaxStackSize(64);
     }
@@ -44,18 +44,18 @@ public class JarItem extends PlaceableItem {
         List<Entity> list = world.getEntitiesWithinAABBExcludingEntity(entityplayer,entityplayer.bb.grow(2, 2, 2));
 
         for(Entity entity : list){
-            if(entity instanceof FireflyClusterMob) {
-                FireflyClusterMob fireflyCluster = (FireflyClusterMob) entity;
-                FireflyClusterMob.FireflyColor colour = fireflyCluster.getColor();
+            if(entity instanceof MobFireflyCluster) {
+                MobFireflyCluster fireflyCluster = (MobFireflyCluster) entity;
+                MobFireflyCluster.FireflyColor colour = fireflyCluster.getColor();
 
                 boolean didFillJar;
-                if(colour == FireflyClusterMob.FireflyColor.BLUE){
+                if(colour == MobFireflyCluster.FireflyColor.BLUE){
                     didFillJar = fillJar(entityplayer, new ItemStack(Items.LANTERN_FIREFLY_BLUE, 1));
                 }
-                else if(colour == FireflyClusterMob.FireflyColor.ORANGE){
+                else if(colour == MobFireflyCluster.FireflyColor.ORANGE){
                     didFillJar = fillJar(entityplayer, new ItemStack(Items.LANTERN_FIREFLY_ORANGE, 1));
                 }
-                else if(colour == FireflyClusterMob.FireflyColor.RED){
+                else if(colour == MobFireflyCluster.FireflyColor.RED){
                     didFillJar = fillJar(entityplayer, new ItemStack(Items.LANTERN_FIREFLY_RED, 1));
                 }
                 else{
diff --git a/src/main/java/net/minecraft/core/item/LabelItem.java b/src/main/java/net/minecraft/core/item/ItemLabel.java
similarity index 76%
rename from src/main/java/net/minecraft/core/item/LabelItem.java
rename to src/main/java/net/minecraft/core/item/ItemLabel.java
index cc7a3400a..b15a9b6db 100644
--- a/src/main/java/net/minecraft/core/item/LabelItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemLabel.java
@@ -1,22 +1,20 @@
 package net.minecraft.core.item;
 
 import com.b100.utils.StringUtils;
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.Mob;
-import net.minecraft.core.entity.animal.SheepMob;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.util.helper.Direction;
 import net.minecraft.core.util.phys.AABB;
 import net.minecraft.core.world.World;
 
-import java.util.Iterator;
 import java.util.List;
 import java.util.Random;
 
-public class LabelItem extends Item
+public class ItemLabel extends Item
 {
-    protected LabelItem(String name, String namespaceId, int id) {
+    protected ItemLabel(String name, String namespaceId, int id) {
         super(name, namespaceId, id);
         setMaxStackSize(1);
     }
@@ -44,7 +42,7 @@ public class LabelItem extends Item
 	}
 
 	@Override
-	public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+	public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
 		if (!itemStack.hasCustomName()) return;
 		blockX += direction.getOffsetX();
 		blockY += direction.getOffsetY();
diff --git a/src/main/java/net/minecraft/core/item/MapItem.java b/src/main/java/net/minecraft/core/item/ItemMap.java
similarity index 98%
rename from src/main/java/net/minecraft/core/item/MapItem.java
rename to src/main/java/net/minecraft/core/item/ItemMap.java
index bf334d9c3..4ce548df4 100644
--- a/src/main/java/net/minecraft/core/item/MapItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemMap.java
@@ -9,7 +9,7 @@ import net.minecraft.core.block.Blocks;
 //            Block, Chunk, Material, MapColor, 
 //            EntityPlayer
 
-import net.minecraft.core.block.entity.FlagBlockEntity;
+import net.minecraft.core.block.entity.TileEntityFlag;
 import net.minecraft.core.block.material.Material;
 import net.minecraft.core.entity.Entity;
 import net.minecraft.core.entity.player.Player;
@@ -28,10 +28,10 @@ import java.util.HashMap;
 import java.util.Map;
 
 
-public class MapItem extends Item implements IComplexItem
+public class ItemMap extends Item implements IComplexItem
 {
 	private static final Map<Integer, Map<Integer, Integer>> blockCounts = new HashMap<>();
-    protected MapItem(String name, String namespaceId, int id)
+    protected ItemMap(String name, String namespaceId, int id)
     {
         super(name, namespaceId, id);
     }
@@ -131,7 +131,7 @@ public class MapItem extends Item implements IComplexItem
 		if (world.getBlockId(blockX, blockY, blockZ) == Blocks.FLAG.id) {
 			ItemMapSavedData mapData = getOrCreateSavedData(itemstack, world);
 			if (mapData != null){
-				FlagBlockEntity flag = (FlagBlockEntity) world.getBlockEntity(blockX, blockY, blockZ);
+				TileEntityFlag flag = (TileEntityFlag) world.getBlockEntity(blockX, blockY, blockZ);
 				boolean canCreateMap = mapData.createNewWaypoint(flag);
 				if(!canCreateMap)
 					player.sendTranslatedChatMessage("flag.full");
diff --git a/src/main/java/net/minecraft/core/item/MinecartItem.java b/src/main/java/net/minecraft/core/item/ItemMinecart.java
similarity index 72%
rename from src/main/java/net/minecraft/core/item/MinecartItem.java
rename to src/main/java/net/minecraft/core/item/ItemMinecart.java
index 136a97ba8..7bbacc395 100644
--- a/src/main/java/net/minecraft/core/item/MinecartItem.java
+++ b/src/main/java/net/minecraft/core/item/ItemMinecart.java
@@ -2,10 +2,9 @@ package net.minecraft.core.item;
 
 
 import net.minecraft.core.block.Block;
-import net.minecraft.core.block.RailBlock;
+import net.minecraft.core.block.BlockRail;
 
-import net.minecraft.core.block.entity.ActivatorBlockEntity;
-import net.minecraft.core.block.tag.BlockTags;
+import net.minecraft.core.block.entity.TileEntityActivator;
 import net.minecraft.core.entity.player.Player;
 import net.minecraft.core.entity.vehicle.MinecartEntity;
 import net.minecraft.core.util.helper.Direction;
@@ -15,9 +14,9 @@ import org.jetbrains.annotations.Nullable;
 
 import java.util.Random;
 
-public class MinecartItem extends Item {
+public class ItemMinecart extends Item {
     public final int minecartType;
-    public MinecartItem(String name, String namespaceId, int id, int type) {
+    public ItemMinecart(String name, String namespaceId, int id, int type) {
         super(name, namespaceId, id);
         setMaxStackSize(1);
         minecartType = type;
@@ -26,7 +25,7 @@ public class MinecartItem extends Item {
     @Override
     public boolean onUseItemOnBlock(ItemStack itemstack, @Nullable Player player, World world, int blockX, int blockY, int blockZ, Side side, double xPlaced, double yPlaced) {
         Block block = world.getBlock(blockX, blockY, blockZ);
-        if (!(block instanceof RailBlock)) { return false; }
+        if (!(block instanceof BlockRail)) { return false; }
 
         if(!world.isClientSide) {
             world.entityJoinedWorld(new MinecartEntity(world, (float) blockX + 0.5F, (float) blockY + 0.5F, (float) blockZ + 0.5F, minecartType));
@@ -38,7 +37,7 @@ public class MinecartItem extends Item {
     }
 
     @Override
-    public void onUseByActivator(ItemStack itemStack, ActivatorBlockEntity activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
+    public void onUseByActivator(ItemStack itemStack, TileEntityActivator activatorBlock, World world, Random random, int blockX, int blockY, int blockZ, double offX, double offY, double offZ, Direction direction) {
         int x = blockX + direction.getOffsetX();
         int y = blockY + direction.getOffsetY();
         int z = blockZ + direction.getOffsetZ();
